commit:     ac8f5e95abe66bedcaad5507db3fcc6b341f9d37
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Sun Nov  5 21:34:44 2023 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Sun Nov  5 21:40:08 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac8f5e95

net-mail/rss2email: Python 3.12

Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>

 net-mail/rss2email/rss2email-3.14-r1.ebuild | 34 +++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/net-mail/rss2email/rss2email-3.14-r1.ebuild 
b/net-mail/rss2email/rss2email-3.14-r1.ebuild
new file mode 100644
index 000000000000..32e85dca1160
--- /dev/null
+++ b/net-mail/rss2email/rss2email-3.14-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A python script that converts RSS/Atom newsfeeds to email"
+HOMEPAGE="https://github.com/rss2email/rss2email";
+SRC_URI="https://github.com/rss2email/rss2email/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+RDEPEND=">=dev-python/feedparser-6.0.5[${PYTHON_USEDEP}]
+       >=dev-python/html2text-2020.1.16[${PYTHON_USEDEP}]
+       "
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+src_install() {
+       distutils-r1_src_install
+       doman r2e.1
+}
+
+python_test() {
+       cd test/ || die  # or the tests won't find their data
+       distutils-r1_python_test
+}

Reply via email to